
Name:		ices
Version:	0.2.3
Release:	1fm
Summary:	Source streaming for Icecast
Group:		System/Servers
License:	GPL
Vendor:		Icecast.org
URL:		http://www.icecast.org
Packager:	S Yoder <computer AT flatmtn DOT com>
Source:		http://www.icecast.org/releases/%{name}-%{version}.tar.bz2
BuildRequires:	perl
BuildRequires:	libxml2-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libogg-devel
BuildRequires:	lame-devel
# note: shout.h changes location in v2, may have compile problems
BuildRequires:	libshout-devel
Requires:	perl, libxml2, libvorbis, libogg, lame, libshout
BuildRoot:	%{_tmppath}/%{name}-%{version}
Obsoletes:	ices-lame
Provides:	ices-lame

%description
A program that sends audio data to an icecast server to broadcast to
clients. IceS can either read audio data from disk, such as from Ogg
Vorbis files, or sample live audio from a sound card and encode it on
the fly.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
 perl -pi -e 's/\#include \<parser.h\>/\#include \<libxml\/parser.h\>/' src/ices_config.c
 perl -pi -e 's/\#include \<xmlmemory.h\>/\#include \<libxml\/xmlmemory.h\>/' src/ices_config.c

%build
%configure --enable-fsstd --enable-libwrap --without-readline \
 --with-moddir=%{_sysconfdir}/%{name}-modules \
 --with-lame --with-vorbis --with-libshout
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT%{_sysconfdir}/ices.conf.dist $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf
mv $RPM_BUILD_ROOT%{_sysconfdir}/%{name}-modules/ices.pm.dist $RPM_BUILD_ROOT%{_sysconfdir}/%{name}-modules/%{name}.pm
mv $RPM_BUILD_ROOT%{_sysconfdir}/%{name}-modules/ices.py.dist $RPM_BUILD_ROOT%{_sysconfdir}/%{name}-modules/%{name}.py
#mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/ices-modules/

rm -fr $RPM_BUILD_ROOT/usr/doc
# We don't want libshout here !
#rm -fr $RPM_BUILD_ROOT/%_includedir/shout
#rm -f $RPM_BUILD_ROOT/%_libdir/libshout*


%files
%defattr(-,root,root)
%doc AUTHORS BUGS CHANGES COPYING FAQ README TESTED
%doc doc/%{name}manual.html
%{_bindir}/%{name}
%{_mandir}/man1/ices.1.gz
%{_sysconfdir}/%{name}-modules/*
%config(noreplace) %{_sysconfdir}/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Nov 29 2003 S Yoder <computer AT flatmtn DOT com>
- modified mdk spec for build on RedHat 9 (shrike)

* Fri Jan 03 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.3-4mdk
- rebuild
- merge plf options
- build with libshout (plf)

* Wed Aug 07 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.3-3mdk
- rebuild against perl-thread

* Mon Jul 22 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.3-2mdk
- rebuild for new perl

* Fri Jun 28 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.3-1mdk
- 0.2.3

* Fri Jun 14 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.2-3mdk
- fix libxml2 path

* Wed Mar 13 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.2.2-2mdk
- contributed by Olivier Thauvin <thauvin@aerov.jussieu.fr>
- rpmlint fixes

* Fri Dec 14 2001 Olivier Thauvin 0.2.2-1mdkot
- First mdk release.
